NX Open C++ Reference Guide
|
Represents a @link Features::NSidedSurface Features::NSidedSurface@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateNSidedSurfaceBuilder Features::FeatureCollection::CreateNSidedSurfaceBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CenterControlAxisType { CenterControlAxisTypeX, CenterControlAxisTypeY, CenterControlAxisTypeZ, CenterControlAxisTypeFlat } |
the center control types More... | |
enum | CenterControlType { CenterControlTypePosition, CenterControlTypeTilting } |
the center control type options More... | |
enum | FlowDirectionType { FlowDirectionTypeNotSpecified, FlowDirectionTypePerpendicular, FlowDirectionTypeIsoUVLine, FlowDirectionTypeAdjacentEdges } |
the flow direction options More... | |
enum | SurfaceType { SurfaceTypeTrimmedPatch, SurfaceTypeTriangularPatch } |
the surface type options More... | |
enum | UVOrientationType { UVOrientationTypeSpine, UVOrientationTypeVector, UVOrientationTypeArea } |
the UV orientation options More... | |
Public Member Functions | |
NXOpen::Expression * | CenterControlFlat () |
Returns the center control flat Created in NX6.0.0. | |
NXOpen::Expression * | CenterControlTiltX () |
Returns the center control tilt x direction Created in NX6.0.0. | |
NXOpen::Expression * | CenterControlTiltY () |
Returns the center control tilt y direction Created in NX6.0.0. | |
NXOpen::Expression * | CenterControlTrimFlat () |
Returns the center control flat for trimming Created in NX6.0.0. | |
NXOpen::Expression * | CenterControlX () |
Returns the center control x direction Created in NX6.0.0. | |
NXOpen::Expression * | CenterControlY () |
Returns the center control y direction Created in NX6.0.0. | |
NXOpen::Expression * | CenterControlZ () |
Returns the center control z direction Created in NX6.0.0. | |
NXOpen::ScCollector * | ConstraintFaces () |
Returns the constraint faces Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | Continuity () |
Returns the continuity Created in NX6.0.0. | |
double | CurvatureTolerance () |
Returns the curvature tolerance Created in NX6.0.0. | |
NXOpen::Features::NSidedSurfaceBuilder::FlowDirectionType | FlowDirection () |
Returns the flow direction Created in NX6.0.0. | |
NXOpen::SectionList * | InteriorCurveList () |
Returns the list of interior curves Created in NX6.0.0. | |
bool | MergeFaces () |
Returns the merge-faces option Created in NX6.0.0. | |
NXOpen::Direction * | OrientationVector () |
Returns the orientation vector. | |
NXOpen::Section * | OuterLoop () |
Returns the outer loop Created in NX6.0.0. | |
double | PositionTolerance () |
Returns the position tolerance Created in NX6.0.0. | |
NXOpen::Point * | RectanglePointFirst () |
Returns the first rectangle point. | |
NXOpen::Point * | RectanglePointSecond () |
Returns the second rectangle point. | |
NXOpen::Point * | RectanglePointThird () |
Returns the third rectangle point. | |
void | SetCurvatureTolerance (double curvatureTolerance) |
Sets the curvature tolerance Created in NX6.0.0. | |
void | SetFlowDirection (NXOpen::Features::NSidedSurfaceBuilder::FlowDirectionType button) |
Sets the flow direction Created in NX6.0.0. | |
void | SetMergeFaces (bool mergeFaces) |
Sets the merge-faces option Created in NX6.0.0. | |
void | SetOrientationVector (NXOpen::Direction *orientationVector) |
Sets the orientation vector. | |
void | SetPositionTolerance (double positionTolerance) |
Sets the position tolerance Created in NX6.0.0. | |
void | SetRectanglePointFirst (NXOpen::Point *firstPoint) |
Sets the first rectangle point. | |
void | SetRectanglePointSecond (NXOpen::Point *secondPoint) |
Sets the second rectangle point. | |
void | SetRectanglePointThird (NXOpen::Point *thirdPoint) |
Sets the third rectangle point. | |
void | SetTangentTolerance (double tangentTolerance) |
Sets the tangent tolerance Created in NX6.0.0. | |
void | SetTrimToBoundary (bool trimToBoundary) |
Sets the trim-to-boundary option Created in NX6.0.0. | |
void | SetType (NXOpen::Features::NSidedSurfaceBuilder::SurfaceType surfaceType) |
Sets the surface type Created in NX6.0.0. | |
void | SetUVOrientation (NXOpen::Features::NSidedSurfaceBuilder::UVOrientationType button) |
Sets the UV orientation Created in NX6.0.0. | |
NXOpen::Section * | SpineCurve () |
Returns the spine curve. | |
double | TangentTolerance () |
Returns the tangent tolerance Created in NX6.0.0. | |
bool | TrimToBoundary () |
Returns the trim-to-boundary option Created in NX6.0.0. | |
NXOpen::Features::NSidedSurfaceBuilder::SurfaceType | Type () |
Returns the surface type Created in NX6.0.0. | |
NXOpen::Features::NSidedSurfaceBuilder::UVOrientationType | UVOrientation () |
Returns the UV orientation Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::NSidedSurface Features::NSidedSurface@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateNSidedSurfaceBuilder Features::FeatureCollection::CreateNSidedSurfaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CenterControlFlat.Value |
100 |
CenterControlTiltX.Value |
50 |
CenterControlTiltY.Value |
50 |
CenterControlTrimFlat.Value |
50 |
CenterControlX.Value |
50 |
CenterControlY.Value |
50 |
CenterControlZ.Value |
50 |
Created in NX6.0.0.
NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlFlat | ( | ) |
Returns the center control flat
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlTiltX | ( | ) |
Returns the center control tilt x direction
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlTiltY | ( | ) |
Returns the center control tilt y direction
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlTrimFlat | ( | ) |
Returns the center control flat for trimming
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlX | ( | ) |
Returns the center control x direction
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlY | ( | ) |
Returns the center control y direction
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Expression* NXOpen::Features::NSidedSurfaceBuilder::CenterControlZ | ( | ) |
Returns the center control z direction
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::ScCollector* NXOpen::Features::NSidedSurfaceBuilder::ConstraintFaces | ( | ) |
Returns the constraint faces
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::NSidedSurfaceBuilder::Continuity | ( | ) |
Returns the continuity
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
double NXOpen::Features::NSidedSurfaceBuilder::CurvatureTolerance | ( | ) |
Returns the curvature tolerance
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Features::NSidedSurfaceBuilder::FlowDirectionType NXOpen::Features::NSidedSurfaceBuilder::FlowDirection | ( | ) |
Returns the flow direction
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::SectionList* NXOpen::Features::NSidedSurfaceBuilder::InteriorCurveList | ( | ) |
Returns the list of interior curves
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
bool NXOpen::Features::NSidedSurfaceBuilder::MergeFaces | ( | ) |
Returns the merge-faces option
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Direction* NXOpen::Features::NSidedSurfaceBuilder::OrientationVector | ( | ) |
Returns the orientation vector.
This is used only if UVOrientation is UVOrientationType.Vector
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Section* NXOpen::Features::NSidedSurfaceBuilder::OuterLoop | ( | ) |
Returns the outer loop
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
double NXOpen::Features::NSidedSurfaceBuilder::PositionTolerance | ( | ) |
Returns the position tolerance
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Point* NXOpen::Features::NSidedSurfaceBuilder::RectanglePointFirst | ( | ) |
Returns the first rectangle point.
This is used only if UVOrientation is UVOrientationType.Area
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Point* NXOpen::Features::NSidedSurfaceBuilder::RectanglePointSecond | ( | ) |
Returns the second rectangle point.
This is used only if UVOrientation is UVOrientationType.Area
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Point* NXOpen::Features::NSidedSurfaceBuilder::RectanglePointThird | ( | ) |
Returns the third rectangle point.
This is used only if UVOrientation is UVOrientationType.Area
Created in NX8.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
void NXOpen::Features::NSidedSurfaceBuilder::SetCurvatureTolerance | ( | double | curvatureTolerance | ) |
Sets the curvature tolerance
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
curvatureTolerance | curvaturetolerance |
void NXOpen::Features::NSidedSurfaceBuilder::SetFlowDirection | ( | NXOpen::Features::NSidedSurfaceBuilder::FlowDirectionType | button | ) |
Sets the flow direction
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
button | button |
void NXOpen::Features::NSidedSurfaceBuilder::SetMergeFaces | ( | bool | mergeFaces | ) |
Sets the merge-faces option
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
mergeFaces | mergefaces |
void NXOpen::Features::NSidedSurfaceBuilder::SetOrientationVector | ( | NXOpen::Direction * | orientationVector | ) |
Sets the orientation vector.
This is used only if UVOrientation is UVOrientationType.Vector
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling"), nx_freeform_1 ("basic freeform modeling")
orientationVector | orientationvector |
void NXOpen::Features::NSidedSurfaceBuilder::SetPositionTolerance | ( | double | positionTolerance | ) |
Sets the position tolerance
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
positionTolerance | positiontolerance |
void NXOpen::Features::NSidedSurfaceBuilder::SetRectanglePointFirst | ( | NXOpen::Point * | firstPoint | ) |
Sets the first rectangle point.
This is used only if UVOrientation is UVOrientationType.Area
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
firstPoint | firstpoint |
void NXOpen::Features::NSidedSurfaceBuilder::SetRectanglePointSecond | ( | NXOpen::Point * | secondPoint | ) |
Sets the second rectangle point.
This is used only if UVOrientation is UVOrientationType.Area
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
secondPoint | secondpoint |
void NXOpen::Features::NSidedSurfaceBuilder::SetRectanglePointThird | ( | NXOpen::Point * | thirdPoint | ) |
Sets the third rectangle point.
This is used only if UVOrientation is UVOrientationType.Area
Created in NX8.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
thirdPoint | thirdpoint |
void NXOpen::Features::NSidedSurfaceBuilder::SetTangentTolerance | ( | double | tangentTolerance | ) |
Sets the tangent tolerance
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
tangentTolerance | tangenttolerance |
void NXOpen::Features::NSidedSurfaceBuilder::SetTrimToBoundary | ( | bool | trimToBoundary | ) |
Sets the trim-to-boundary option
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
trimToBoundary | trimtoboundary |
void NXOpen::Features::NSidedSurfaceBuilder::SetType | ( | NXOpen::Features::NSidedSurfaceBuilder::SurfaceType | surfaceType | ) |
Sets the surface type
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
surfaceType | surfacetype |
void NXOpen::Features::NSidedSurfaceBuilder::SetUVOrientation | ( | NXOpen::Features::NSidedSurfaceBuilder::UVOrientationType | button | ) |
Sets the UV orientation
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
button | button |
NXOpen::Section* NXOpen::Features::NSidedSurfaceBuilder::SpineCurve | ( | ) |
Returns the spine curve.
This is used only if UVOrientation is UVOrientationType.Spine
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
double NXOpen::Features::NSidedSurfaceBuilder::TangentTolerance | ( | ) |
Returns the tangent tolerance
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
bool NXOpen::Features::NSidedSurfaceBuilder::TrimToBoundary | ( | ) |
Returns the trim-to-boundary option
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Features::NSidedSurfaceBuilder::SurfaceType NXOpen::Features::NSidedSurfaceBuilder::Type | ( | ) |
Returns the surface type
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")
NXOpen::Features::NSidedSurfaceBuilder::UVOrientationType NXOpen::Features::NSidedSurfaceBuilder::UVOrientation | ( | ) |
Returns the UV orientation
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING"), nx_freeform_1 ("basic freeform modeling")